package com.hai.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * high_discount_package_record
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class HighDiscountPackageRecord implements Serializable {
    /**
     * 主键
     */
    private Integer id;

    /**
     * 优惠券包名称
     */
    private String discountPackageTitle;

    /**
     * 优惠券包id
     */
    private Integer discountPackageId;

    /**
     * 使用归属
     */
    private Integer usingAttribution;

    /**
     * 公司id
     */
    private Integer companyId;

    /**
     * 支付订单id
     */
    private Integer orderId;

    /**
     * 子订单id
     */
    private Integer childOrderId;

    /**
     * 价格
     */
    private BigDecimal price;

    /**
     * 赠送记录号
     */
    private String recordNo;

    /**
     * 销售类型 ：1 售卖 2: 赠送
     */
    private Integer salesType;

    /**
     * 用户id
     */
    private Integer userId;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 状态 1:正常 0 ： 删除
     */
    private Integer status;

    /**
     * 扩展字段
     */
    private String ext1;

    /**
     * 扩展字段
     */
    private String ext2;

    /**
     * 扩展字段
     */
    private String ext3;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDiscountPackageTitle() {
        return discountPackageTitle;
    }

    public void setDiscountPackageTitle(String discountPackageTitle) {
        this.discountPackageTitle = discountPackageTitle;
    }

    public Integer getDiscountPackageId() {
        return discountPackageId;
    }

    public void setDiscountPackageId(Integer discountPackageId) {
        this.discountPackageId = discountPackageId;
    }

    public Integer getUsingAttribution() {
        return usingAttribution;
    }

    public void setUsingAttribution(Integer usingAttribution) {
        this.usingAttribution = usingAttribution;
    }

    public Integer getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Integer companyId) {
        this.companyId = companyId;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public Integer getChildOrderId() {
        return childOrderId;
    }

    public void setChildOrderId(Integer childOrderId) {
        this.childOrderId = childOrderId;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public String getRecordNo() {
        return recordNo;
    }

    public void setRecordNo(String recordNo) {
        this.recordNo = recordNo;
    }

    public Integer getSalesType() {
        return salesType;
    }

    public void setSalesType(Integer salesType) {
        this.salesType = salesType;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        HighDiscountPackageRecord other = (HighDiscountPackageRecord) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getDiscountPackageTitle() == null ? other.getDiscountPackageTitle() == null : this.getDiscountPackageTitle().equals(other.getDiscountPackageTitle()))
            && (this.getDiscountPackageId() == null ? other.getDiscountPackageId() == null : this.getDiscountPackageId().equals(other.getDiscountPackageId()))
            && (this.getUsingAttribution() == null ? other.getUsingAttribution() == null : this.getUsingAttribution().equals(other.getUsingAttribution()))
            && (this.getCompanyId() == null ? other.getCompanyId() == null : this.getCompanyId().equals(other.getCompanyId()))
            && (this.getOrderId() == null ? other.getOrderId() == null : this.getOrderId().equals(other.getOrderId()))
            && (this.getChildOrderId() == null ? other.getChildOrderId() == null : this.getChildOrderId().equals(other.getChildOrderId()))
            && (this.getPrice() == null ? other.getPrice() == null : this.getPrice().equals(other.getPrice()))
            && (this.getRecordNo() == null ? other.getRecordNo() == null : this.getRecordNo().equals(other.getRecordNo()))
            && (this.getSalesType() == null ? other.getSalesType() == null : this.getSalesType().equals(other.getSalesType()))
            && (this.getUserId() == null ? other.getUserId() == null : this.getUserId().equals(other.getUserId()))
            && (this.getCreatedTime() == null ? other.getCreatedTime() == null : this.getCreatedTime().equals(other.getCreatedTime()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getDiscountPackageTitle() == null) ? 0 : getDiscountPackageTitle().hashCode());
        result = prime * result + ((getDiscountPackageId() == null) ? 0 : getDiscountPackageId().hashCode());
        result = prime * result + ((getUsingAttribution() == null) ? 0 : getUsingAttribution().hashCode());
        result = prime * result + ((getCompanyId() == null) ? 0 : getCompanyId().hashCode());
        result = prime * result + ((getOrderId() == null) ? 0 : getOrderId().hashCode());
        result = prime * result + ((getChildOrderId() == null) ? 0 : getChildOrderId().hashCode());
        result = prime * result + ((getPrice() == null) ? 0 : getPrice().hashCode());
        result = prime * result + ((getRecordNo() == null) ? 0 : getRecordNo().hashCode());
        result = prime * result + ((getSalesType() == null) ? 0 : getSalesType().hashCode());
        result = prime * result + ((getUserId() == null) ? 0 : getUserId().hashCode());
        result = prime * result + ((getCreatedTime() == null) ? 0 : getCreatedTime().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", discountPackageTitle=").append(discountPackageTitle);
        sb.append(", discountPackageId=").append(discountPackageId);
        sb.append(", usingAttribution=").append(usingAttribution);
        sb.append(", companyId=").append(companyId);
        sb.append(", orderId=").append(orderId);
        sb.append(", childOrderId=").append(childOrderId);
        sb.append(", price=").append(price);
        sb.append(", recordNo=").append(recordNo);
        sb.append(", salesType=").append(salesType);
        sb.append(", userId=").append(userId);
        sb.append(", createdTime=").append(createdTime);
        sb.append(", status=").append(status);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}